# Listing resources

### List all datasets in an organization

```r
library("redivis")

datasets <- redivis$organization("Demo")$list_datasets()

for (dataset in datasets){
    # Properties will contain the dataset.list API representation
    print(dataset$properties) 
    
    dataset$get()
    # Properties will now contain the dataset.get API representation
    print(dataset$properties) 
}
```

### List all tables in a dataset

```r
loadNamespace("redivis")

dataset <- redivis$organization("Demo")$dataset("ghcn daily weather data")
tables <- dataset$list_tables()

for (table in tables){
    # Properties will contain the table.list API representation
    print(table$properties) 
    
    table$get()
    # Properties will now contain the table.get API representation
    print(table$properties) 
}
```

### List all variables in a table

```r
library("redivis")

dataset <- redivis$organization("Demo")$dataset("ghcn daily weather data")
table <- dataset$table("daily observations")
variables <- table$list_variables()

for (variable in variables){
    # Properties will contain the variable.list API representation
    print(table$properties) 
    
    table$get(wait_for_statistics=FALSE)
    # Properties will now contain the variable.get API representation
    print(table$properties) 
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/examples/listing-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
